#ifndef LOQVIDEOSURFACE_H
#define LOQVIDEOSURFACE_H

#include <QAbstractVideoSurface>

class LoQVideoSurface : public QAbstractVideoSurface
{
    Q_OBJECT
public:
    explicit LoQVideoSurface(QObject *parent = nullptr);


public:
    virtual QList<QVideoFrame::PixelFormat>supportedPixelFormats(QAbstractVideoBuffer::HandleType handleType = QAbstractVideoBuffer::NoHandle) const override;
    virtual bool present(const QVideoFrame &frame) override;

signals:
    void frameAvailable(QVideoFrame &frame);
};

#endif // LOQVIDEOSURFACE_H
